Subject: Linking with Tcl/Tk libraries
From: [email-masked] (jl Hamel)

11 Dec 1996 06:52:57 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Cc: [email-masked]
X-Sun-Charset: US-ASCII
Original-Sender: [email-masked]

Hello,

I would link some "cywin32" applications against the Tcl/Tk libraries
(under Windows 95).

I use the standard binary distribution of Tcl7.6/Tk4.2 which is
compiled using the Borland compiler.

I try a little test program using the library tcl76.dll.

In order to get the file libtcl76.a, I have extracted the ordered
list of exported symbols from the dll using a string command and produced
the associated .def file with an editor ; then I have created the .a file
using dlltool. The .def file has been checked by comparing to the
list of exported symbols from the "QuickView" of the dll.

Now, compilation and link of my test program works OK, but the executable
crashes at the first invocation of a tcl routine ; the error happens in
the library cw3215.dll.

I would know if my processing is correct or if there is an incompatibility
between cygwin and Borland made libraries, or something else.

Has anybody experimented Tcl/Tk with cygwin32 ?
Can anybody help me for this problem ?

				JL Hamel
				[email-masked]

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".